package LectureGame.Test.network_stresstest;

import java.util.ArrayList;
import java.io.IOException;

/**
 * Created by IntelliJ IDEA.
 * User: olekrst
 * Date: 04.apr.2007
 * Time: 10:38:22
 * This is the main class of the stresstester. It creates playerAgents and connects them to the server.
 */
public class StressTester {

    private static ArrayList<playerAgent> agents = new ArrayList<playerAgent>();
    private final int NUMBER_OF_AGENTS = 50;

    /**
     * Creates the stresstester object as well as the agents needed
     */
    public StressTester(){

        int iterator = 0;
        String namesuffix = "";
        for(int i = 0; i <NUMBER_OF_AGENTS; i++){
            if (iterator >= NamesPasswords.names.length){
                iterator = 0;
                namesuffix = String.valueOf(i);
            }
            agents.add(new playerAgent(NamesPasswords.names[iterator]+namesuffix, NamesPasswords.password));
            iterator++;
        }

    }

    /**
     * Main method containing the main loop. Iterates over the connected clients and calls doWork on them
     * @see playerAgent
     * @param args
     */
    public static void main(String args[]){
        new StressTester();

        for(int i = 0; i<agents.size(); i++)
            try {
                agents.get(i).connect();
                Thread.sleep(100);
                agents.get(i).login();
            } catch (IOException e) {
                try {
                    agents.get(i).close();
                } catch (IOException e1) {
                    e1.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
                }
                agents.remove(i);
            } catch (InterruptedException e) {
                e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
            }


        try {
            Thread.sleep(300);
        } catch (InterruptedException e) {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
        }
        while(agents.size()>0){

            for(int i = 0; i<agents.size(); i++){
                playerAgent a = agents.get(i);
                try {
                    a.doWork();
                } catch (IOException e) {
                    try {
                        e.printStackTrace();
                        a.close();
                    } catch (IOException e1) {
                        e1.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
                    }
                    agents.remove(i);
                }
            }
            try {
                Thread.sleep(3);
            } catch (InterruptedException e) {
                e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
            }
        }


    }
}
