package core;
public abstract class Constants {

    static final int PROT_STARTED_STEP1 = 100;
    static final int PROT_STARTED_STEP2 = 101;
    static final int PROT_ENDED_STEP1 = 102;
    static final int PROT_ENDED_STEP2 = 103;
    
    static final int STATE_LOGIN_IDLE = 0;
    static final int STATE_QUESTION_POSED = 1;
    static final int STATE_FINAL_SCORE = 2;

    static final int MAX_NUMBER_OF_FIELDS_IN_MSG = 4000;
    static final int SAMPLE_RATE = 20;
    static final int MAX_STRINGS_IN_BUFFER = 10;
    static final int STD_HOLD_SCREEN_MILLISECONDS = 3000;

    static final String SERVER_ADDRESS = "127.0.0.1";
    static final int SERVER_SOCKET = 119;
    
    static final boolean  IS_SIMULATING = false;
    
    
    static final int MODE_BEAT_THE_SCORE = 10;
    static final int MODE_LAST_MAN_STANDING = 11;
}
