package core;
import java.util.ArrayList;

import javax.swing.ComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.event.ListDataListener;

/***
 * 
 * The model of the cpmboBox where the Teacher selects the lecture in the login window.
 * 
 * @author Terje
 *
 */
public class LectureListModel implements ComboBoxModel {

	ArrayList<String> lectureList;
	ArrayList<String> codeList;
	Object selected = null;
	
	public LectureListModel(ArrayList<String> lectureList, ArrayList<String> codeList){
		this.lectureList = lectureList;
		this.codeList = codeList;
	}
	
	public Object getSelectedItem() {
		return selected;
	}

	
	public void setSelectedItem(Object anItem) {
		selected = anItem;
	}

	public void addListDataListener(ListDataListener l) {
		
	}

	public Object getElementAt(int index) {
		if(index<=lectureList.size()){
			return lectureList.get(index);
		} else
			return null;
	}

	public int getSize(){
		return lectureList.size();
	}

	public void removeListDataListener(ListDataListener l) {

		
	}
	
	public String getLectureCode(int i){
		if(codeList.size()>0)
		return codeList.get(i);
		else return "hei";
	}

}
