  package graphics;


import javax.swing.*;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

/**
 * 
 * Listener fro keyboard input
 * 
 * @author Terje
 *
 */
class InputHandler extends KeyAdapter {
    private Renderer renderer;

    public InputHandler(Renderer renderer, GLDisplay glDisplay) {
        this.renderer = renderer;
    }

    public void keyPressed(KeyEvent e) {
        processKeyEvent(e, true);
    }

    public void keyReleased(KeyEvent e) {
    	System.out.println("KEY RELEASED");
        switch (e.getKeyCode()) {
            case KeyEvent.VK_SPACE:
                renderer.nextStep();
                break;
            default:
                processKeyEvent(e, false);
        }
    }

    private void processKeyEvent(KeyEvent e, boolean pressed) {

    }
}
