package LectureGame.Core;

/**
 * Created by IntelliJ IDEA.
 * User: olekrst
 * Date: 16.jan.2007
 * Time: 14:17:43
 * static final class containing constants.
 */
public final class LG {


    // Database configuration
    public static final String MYSQL_ADDRESS = "jdbc:mysql://localhost:3306/test"; //the adress of the MySQL server / database name
    public static final String MYSQL_USERNAME = "lecturegames";
    public static final String MYSQL_PASSWORD = "ntnu";

    // Configuration
    // these are general configuration parameters

    public static final String SERVER_NAME = "LGServer";
    public static final int SERVER_PORTNUMBER = 22; // used by the master (teacher) client
    public static final int SERVER_MASTER_CLIENT_PORTNUMBER = 119; // used by the studentclients
    public static final int SERVER_MAX_CONNECTIONS = 0; //maximum number of connections. 0 = unlimited
    public static final String DEFAULT_QUESTION_TIMELIMIT = "30"; // the default timelimit for displaying questions - used if no specific timelimit is spesified in the question database
    public static final int MAX_NUMBER_OF_FIELDS_IN_MSG = 4000; // maximum number of unique fields in a message. do not change
    public static final int LOGGING_LEVEL = 4; // Detail level of logging. 0 = off, 1= high pri only, 2= high+med pri, 3= all.
    public static final boolean SERVER_ENABLE_GUI = false; // used to show the GUI. Not stable. default = false
    public static final boolean ENABLE_DEVELOPERMENUES = false;     //menues for pinging clients used by the GUI


    // The different gamemodes. When adding a GameMode, make sure to add a constant here
    public static final int GAMEMODE_BEAT_THE_SCORE = 10;
    public static final int GAMEMODE_LAST_MAN_STANDING = 11;
    // public static final int GAMEMODE_EXAMPLE_GAMEMODE = 12;


    // *** DO NOT DELETE OR CHANGE CONSTANTS UNDER THIS LINE **
    //  (new constants can be added)


    // CONNECTION STATES
    // these are used by the the server to identify different procedures to performe.
    //
    public static final int STATE_NO_CONNECTIONS = 0;
    public static final int STATE_CONNECTED = 1;
    public static final int STATE_WAITING_REPLY = 2;
    public static final int STATE_PUSH_QUESTION = 3;
    public static final int STATE_PING = 4;
    public static final int STATE_END_OF_ROUND = 5;
    public static final int STATE_END_OF_LECTURE = 6;
    public static final int STATE_NEW_LECTURE = 7;

    // error messages
    // returned by the DataBaseConnection class, used to respond to login requests
    public static final int ERROR_LOGIN_OK = 200;
    public static final int ERROR_USER_EXIST_WRONG_PW = 201;
    public static final int ERROR_UNKNOWN_USER = 202;
    public static final int ERROR_USERNAME_ALLREADY_EXISTS = 203;


    // STATES used by the receive() method in the StudentClient and MasterClient classes.
    public static final int PROT_STARTED_STEP1 = 100;
    public static final int PROT_STARTED_STEP2 = 101;
    public static final int PROT_ENDED_STEP1 = 102;
    public static final int PROT_ENDED_STEP2 = 103;

    // The different states a question can have
    public static final int QUESTIONSTATE_NOT_FINAL = 0;
    public static final int QUESTIONSTATE_FINAL_IN_ROUND = 1;
    public static final int QUESTIONSTATE_FINAL_IN_LECTURE = 2;

}