package core;
import graphics.GraphicsFacade;
import graphics.Respondent;

import java.util.ArrayList;

/***
 * Initiate this class to simulate input to the Teacher client, and set the IsSimulating boolean in Constants to TRUE.
 * Implemented for testing purposes.
 * Replace the code in the run() method to simulate desired actions and situations.
 * 
 * @author Terje
 *
 */
public class InputSimulatorThread implements Runnable {

	LectureGame lega;
	
	public InputSimulatorThread(LectureGame lega){
		this.lega = lega;
	}

	/***
	 * Replace this method with any method calls on the lega object to simulate any thinkable 
	 * input. Use the thread.sleep method to simulate time intervals. Refer to the LectureGame class 
	 * documentation for a desription of available methods.
	 * 
	 */
	public void run() {
		//lega.setGameMode(Constants.MODE_BEAT_THE_SCORE);
		lega.setGameMode(Constants.MODE_LAST_MAN_STANDING);
		
		lega.graphics.userLoggedIn("Adrian83");
		lega.graphics.userLoggedIn("JosteinDyre");
		//lega.graphics.userLoggedIn("Joacim");
		//lega.graphics.userLoggedIn("Terje");
		//lega.graphics.userLoggedIn("Bjrn");
		//lega.graphics.userLoggedIn("ystein R");
		//lega.graphics.userLoggedIn("GothChick22");
				
	    try {
			Thread.sleep(9000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		//pop the quesiton
		ArrayList<String> alternatives = new ArrayList<String>();
		alternatives.add("Pengo");
		alternatives.add("Arkanoid");
		alternatives.add("asdfasdf");
		alternatives.add("dfgdsfg");

		
		lega.graphics.newQuestion("Imagine you are a little blue guy in a white suit with a gun that pumps air into your enemies until they explode. Imagine also that you carry a shovel that you use to set traps with giant stones for your enemies. Of what classic video game are you part and parcel?",alternatives, 4,1,0);
		//lega.graphics.newQuestion(" In this classic game, insects of all sorts?",alternatives,12);
			    
		Respondent[] respondents = new Respondent[34];
		

		respondents[0] = new Respondent("Adrian83",1);
		respondents[1] = new Respondent("JosteinDyre",0);
		respondents[2] = new Respondent("Joacim",0);
		respondents[3] = new Respondent("Terje",1);
		respondents[4] = new Respondent("Bjrn",0);
		respondents[5] = new Respondent("ystein R",1);
		respondents[6] = new Respondent("GothChick22",0);
		respondents[7] = new Respondent("Adrian82",1);
		respondents[8] = new Respondent("Bonita",1);
		respondents[9] = new Respondent("Jenny",1);
		respondents[10] = new Respondent("Svensken",1);
		respondents[11] = new Respondent("Jrn",1);
		respondents[12] = new Respondent("Finge",0);
		respondents[13] = new Respondent("NightSirk",0);
		respondents[14] = new Respondent("Flatsjente18",1);
		respondents[15] = new Respondent("CitySydLover",0);
		respondents[16] = new Respondent("Bart",0);
		respondents[17] = new Respondent("Marge",0);
		respondents[18] = new Respondent("Liza",0);
		respondents[19] = new Respondent("Homer",0);
		respondents[20] = new Respondent("Radar",0);
		respondents[21] = new Respondent("Madonnaish",1);
		respondents[22] = new Respondent("Peter Andr",0);
		respondents[23] = new Respondent("WebjMaster",1);
		respondents[24] = new Respondent("BeautyQueen",1);
		respondents[25] = new Respondent("Beyonc",0);
		respondents[26] = new Respondent("Robbie Williams",0);
		respondents[27] = new Respondent("Sawyer",1);
		respondents[28] = new Respondent("HiroNkmra",1);
		respondents[29] = new Respondent("PeterPtrlli",0);
		respondents[30] = new Respondent("Kate",0);
		respondents[31] = new Respondent("Marit",1);
		respondents[32] = new Respondent("Ellen",0);
		respondents[33] = new Respondent("Anne",0);
		//respondents[34] = new Respondent("Tore",1);
		//respondents[35] = new Respondent("Widkun",1);
		//respondents[36] = new Respondent("Rune",1);
		//respondents[37] = new Respondent("Per",1);
		//respondents[38] = new Respondent("Lulle",0);
		//respondents[39] = new Respondent("NorgayTenzing",0);
		//respondents[40] = new Respondent("Sir Paul",0);
		//respondents[41] = new Respondent("Ringo",0);
		//respondents[42] = new Respondent("Elton",1);
		/*respondents[43] = new Respondent("Mattis",1);
		respondents[44] = new Respondent("Mika",0);
		respondents[45] = new Respondent("ImSoHappy",1);
		respondents[46] = new Respondent("1337H4X0R",0);
		respondents[47] = new Respondent("Tiger Woods",0);
		respondents[48] = new Respondent("Alicia Keys",1);
		respondents[49] = new Respondent("Lemming",1);
		respondents[50] = new Respondent("50Cent",0);
		respondents[51] = new Respondent("Sk8orDi3",0);
		respondents[52] = new Respondent("GunsnRoses",0);
		respondents[53] = new Respondent("MagicT",0);
		respondents[54] = new Respondent("McFlip",0);
		respondents[55] = new Respondent("Conrad24",0);
*/
		
		//respondents[0] = new Respondent("Adrian83",0);
		//respondents[1] = new Respondent("JosteinDyre",1);
		//respondents[2] = new Respondent("Joacim",1);
		//respondents[3] = new Respondent("Terje",1);
		//respondents[4] = new Respondent("Bjrn",0);
		//respondents[5] = new Respondent("ystein R",1);
		//respondents[6] = new Respondent("GothChick22",0);
		
		lega.graphics.returnResults(respondents);
		//lega.graphics.getRenderer().getLms().kill("Joacim");
		System.out.println("results returned");
	    try {
			Thread.sleep(25000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		
        lega.graphics.returnGameResults(respondents);
		
	    try {
			Thread.sleep(25000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		

		
		//lega.setGameMode(Constants.MODE_BEAT_THE_SCORE);
		
		//pop the quesiton
		alternatives = new ArrayList<String>();
		alternatives.add("Centipede");
		alternatives.add("Zaxxon");
		alternatives.add("Klax");
		alternatives.add("Qix");
		
		
		//lega.graphics.newQuestion(" In this classic game, insects of all sorts, from spiders to scorpions to fleas, come raining down on the player whose object is to destroy all that lies within his/her firing range. What is the title of this 1980 game from Atari?",alternatives,15);
		lega.graphics.newQuestion(" In this classic game, insects of all sorts?",alternatives,15,0,2);
		
		respondents[0] = new Respondent("Adrian83",0);
		respondents[1] = new Respondent("JosteinDyre",1);
		//respondents[2] = new Respondent("Joacim",1);
		//respondents[3] = new Respondent("Terje",1);
		//respondents[4] = new Respondent("Bjrn",0);
		//respondents[5] = new Respondent("ystein R",1);
		//respondents[6] = new Respondent("GothChick22",0);

		try {
			Thread.sleep(7000);
		} catch (InterruptedException e1) {
			e1.printStackTrace();
		}
		
		lega.graphics.returnResults(respondents);
		//lega.graphics.getRenderer().getLms().kill("Joacim");
		
		System.out.println("results returned");


		

//		lega.setLastQuestionInitialized(true);
//		alternatives = new ArrayList<String>();
//		alternatives.add("Excitebike");
//	alternatives.add("Bike NOW!");
//		alternatives.add("Real BMX");
//		alternatives.add("Motocross 3");
//		lega.graphics.newQuestion("It was a motorcycle game, that allowed the player to customize their own track and tear it up with their bike?",alternatives, 5);
//		
//	
//	    try {
//			Thread.sleep(5000);
//		} catch (InterruptedException e) {
//			e.printStackTrace();
//		}
//		
//		lega.graphics.returnResults(23, 0);
//		System.out.println("results returned");
//		
//		
//		
//	    try {
//			Thread.sleep(18000);
//		} catch (InterruptedException e) {
//			e.printStackTrace();
//		}
//		

		
//		alternatives = new ArrayList<String>();
//		alternatives.add("Bushido Warrior");
//		alternatives.add("Street Fighter");
//		alternatives.add("Karate Champ");
//		alternatives.add("Mega Man");
//		lega.graphics.newQuestion("This fighting game, released in 1986, was one of the first to use the one on one fight system. The matches were fought between two Karate masters, one in white, and another in red. The game made a huge impact on the gaming world and even appeared in the Jean Claude Van Damme movie, Bloodsport. What game was this?",alternatives, 5);
//		lega.setLastQuestionInitialized(true);
		
		
	}

}
